[data-inviewport="scale-in"] { 
  transition: 2s;
  transform: scale(0.5);
  animation-iteration-count: 1;

  &.is-inViewport { 
    transform: scale(1);
  }
}

[data-inviewport="fade-rotate"] { 
  transition: 2s;
  opacity: 0;

  &.is-inViewport { 
    transform: rotate(360deg);
    opacity: 1;
  }
}

[data-inviewport="fade"] { 
  transition: 2s;
  opacity: 0;

  &.is-inViewport { 
    opacity: 1;
  }
}

[data-inviewport="fade-moveTop"] { 
  transition: 2s;
  transform: translateY(100px);
  opacity: 0;

  &.is-inViewport { 
    opacity: 1;
    transform: translateY(0px);
  }
}

[data-inviewport="fade-moveBottom"] { 
  transition: 2s;
  transform: translateY(-100px);
  opacity: 0;

  &.is-inViewport { 
    opacity: 1;
    transform: translateY(0px);
  }
}

[data-inviewport="fade-moveLeft"] { 
  transition: 2s;
  transform: translateX(100px);
  opacity: 0;

  &.is-inViewport { 
    opacity: 1;
    transform: translateX(0px);
  }
}

[data-inviewport="fade-moveRight"] { 
  transition: 2s;
  transform: translateX(-100px);
  opacity: 0;

  &.is-inViewport { 
    opacity: 1;
    transform: translateX(0px);
  }
}

.transition-delay{
  &-1{
    transition-delay: 0.4s;
  }
  &-4{
    transition-delay: 1.6s;
  }
  &-7{
    transition-delay: 2.8s;
  }
}

@include media-breakpoint-up(sm){
  .transition-delay{
    &-1-sm{
      transition-delay: 0.4s;
    }
    &-2-sm{
      transition-delay: 0.8s;
    }
    &-3-sm{
      transition-delay: 1.2s;
    }
  }
}

@include media-breakpoint-up(md){
  .transition-delay{
    &-1-md{
      transition-delay: 0.4s;
    }
    &-2-md{
      transition-delay: 0.8s;
    }
    &-3-md{
      transition-delay: 1.2s;
    }
  }
}
